#if !defined(AFX_ZOOMDIALOG_H__1D1F8976_C03F_4113_B9F9_423B98811353__INCLUDED_)
#define AFX_ZOOMDIALOG_H__1D1F8976_C03F_4113_B9F9_423B98811353__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// ZoomDialog.h : header file
//

class CGosTracePane;

/////////////////////////////////////////////////////////////////////////////
// CZoomDialog dialog

class CZoomDialog : public CDialog
{
// Construction
public:
	CZoomDialog(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CZoomDialog)
	enum { IDD = IDD_ZOOM_DIALOG };
		// NOTE: the ClassWizard will add data members here
	//}}AFX_DATA

	double m_rSecPerPixel;	// 10^-9 ..10^+3
	double m_rPixelPerDiv;	// 10 .. 75
	double m_rSecPerDiv;	// 10^-8 .. 10^+4
//	double m_rTicksPerPix;	// 0.1 .. 10^11

	double SecPerPixel() { return m_rSecPerPixel; }
	double PixelPerDiv() { return m_rPixelPerDiv; }
	double SecPerDiv() { return m_rSecPerDiv; }

	CGosTracePane *m_pTracePane;

	bool m_fReady;
	bool Ready() { return m_fReady; }
	void SetTracePane(CGosTracePane *pPane) { m_pTracePane = pPane; }
	void ZoomToSecPerPixel( double newSecPerPixel );


// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CZoomDialog)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL
	virtual void OnOK();
	void ReadZoomSlider();


// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CZoomDialog)
	afx_msg void OnHScroll(UINT nSBCode, UINT nPos, CScrollBar* pScrollBar);
	virtual BOOL OnInitDialog();
	afx_msg void OnSelchangeZoomUnits();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_ZOOMDIALOG_H__1D1F8976_C03F_4113_B9F9_423B98811353__INCLUDED_)
